Ошибка плагинов Gedit

Я не могу запустить какой-нибудь плагин в gedit. когда я запускаю какой-нибудь плагин, такой как "externaltools", программа закрывается и показывает эту ошибку в терминале:

> > (gedit:11796): GVFS-RemoteVolumeMonitor-WARNING **: invoking IsSupported() failed for remote volume monitor with dbus name
> org.gtk.Private.GduVolumeMonitor:
> org.freedesktop.DBus.Error.Spawn.ChildSignaled: Process
> /usr/lib/gvfs/gvfs-gdu-volume-monitor received signal 6 Traceback
> (most recent call last):   File "/usr/local/lib/python2.7/site.py",
> line 548, in <module>
>     main()   File "/usr/local/lib/python2.7/site.py", line 530, in main
>     known_paths = addusersitepackages(known_paths)   File "/usr/local/lib/python2.7/site.py", line 266, in addusersitepackages
>     user_site = getusersitepackages()   File "/usr/local/lib/python2.7/site.py", line 241, in getusersitepackages
>     user_base = getuserbase() # this will also set USER_BASE   File "/usr/local/lib/python2.7/site.py", line 231, in getuserbase
>     USER_BASE = get_config_var('userbase')   File "/usr/local/lib/python2.7/sysconfig.py", line 516, in get_config_var
>     return get_config_vars().get(name)   File "/usr/local/lib/python2.7/sysconfig.py", line 449, in get_config_vars
>     import re   File "/usr/local/lib/python2.7/re.py", line 105, in <module>
>     import sre_compile   File "/usr/local/lib/python2.7/sre_compile.py", line 14, in <module>
>     import sre_parse   File "/usr/local/lib/python2.7/sre_parse.py", line 17, in <module>
>     from sre_constants import *   File "/usr/local/lib/python2.7/sre_constants.py", line 18, in <module>
>     from _sre import MAXREPEAT ImportError: cannot import name MAXREPEAT

и вопрос 2: какие плагины gedit лучше для программирования?

извините всех для моего английского: -)

2
задан 14.05.2020, 15:58

1 ответ

enter image description here

Под 'Справкой-> О', поскольку Вы видите в снимке экрана нахождение номера сборки в настоящее время используемой версии gedit который можно подойти с доступным Плагины Gedit на их HP.

я предлагаю, чтобы Вы удалили поврежденные плагины (плагины) и переустановили его, соответствуя Вашей сборке. Для [1 115] Внешние Инструменты плагин там является обширным документация на их HP, который мог бы содержать немного полезной информации Вам!

  • Это может стоить того, чтобы попытаться для простого реконфигурирования плагина в случае:

Используя Внешние Инструменты:

  1. Для установки плагина перейдите к Редактированию-> Предпочтения-> Плагины-> Внешние Инструменты.
  2. Для конфигурирования плагина перейдите к Инструментам->, Управляют Внешними Инструментами.... Диалоговое окно появится, и можно начать добавлять инструменты.
  3. Для выполнения инструментов перейдите к Инструментам-> Внешние Инструменты или используйте (если применимо) связанные сочетания клавиш.

Что касается Вашего второго вопроса, обратитесь к сменной ссылке выше, также здесь и здесь .

0
ответ дан 14.05.2020, 15:59

Теги

Похожие вопросы